enableOverrideArtifact broken since 5.1.3

Description

Since 5.1.3 you cannot use the enableOverrideArtifact configuration option of the Maven plug-in any more. The changes for removed it completely. This breaks any existing projects that make use of that option and hence is a serious regression. I'm not sure what the intention was of removing that functionality, especially since it's still mentioned in the documentation. Therefore I can only assume it was removed by accident. Please re-add it.

Environment

None

Assignee

Unassigned

Reporter

Thorsten Meinl

Impact

Functional - may break existing environments

Components

Affects versions

Priority

High
Configure